Hey There! xcoud here.


It's my first post and i'm a newb in this forums so sorry if I don't understand some answers that are long because it might be hard to understand for me.


I am playing a game by Mojang Developers called Minecraft. I was warned by the game to install OpenGL 2.0 or higher because my OpenGL 1.5 won't let me play Minecraft in the future versions.

I was also downloading a GLSL Shaders Mod and my Minecraft crashed. It's because I don't have OpenGL 2.0 or higher versions. So I came here to ask some questions related to my problem.


Okay, some of you dont understand and will tell me to send this report to Mojang, but I know it's about my OpenGL Driver's version, and I would like some help updating/installing it.


Some things I would like to ask when updating my OpenGL drivers:

  1. When I update my OpenGL drivers, should I install a new video card as well?
  2. I'm on Windows 7, I also have Windows 8, but I use it through VirtualBox. Is there anything I should be aware of?
  3. Is there anything I need to know/aware of when updating to OpenGL 2.0?
  4. Am I allowed to update to OpenGL 2.0 when i'm on my Laptop? (OS: Windows 7, 32x)



That's all I want to ask. And feel free to reply, i'll be staying here to be updated.
~xcoud